javax.media.j3d

## Class DanglingReferenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.media.j3d.DanglingReferenceException

- All Implemented Interfaces:
    java.io.Serializable

      public class DanglingReferenceException
      extends java.lang.RuntimeException

  During a `cloneTree` call an updated reference was requested for a node that did not get cloned. This happens when a sub-graph is duplicated via `cloneTree` and has at least one Leaf node that contains a reference to a Node that has no corresponding node in the cloned sub-graph. This results in two Leaf nodes wanting to share access to the same Node.

  If dangling references are to be allowed during the cloneTree call, `cloneTree` should be called with the `allowDanglingReferences` parameter set to `true`.

  See Also:
    `Node.cloneTree()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DanglingReferenceException()` Create the exception object with default values.
    `DanglingReferenceException(java.lang.String str)` Create the exception object that outputs message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DanglingReferenceException

          public DanglingReferenceException()

      Create the exception object with default values.

    - #### DanglingReferenceException

          public DanglingReferenceException(java.lang.String str)

      Create the exception object that outputs message.
      Parameters:
        `str` - the message string to be output.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.